> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-commerce/13.latest/reference/shipping/realtime-rate-shipping.md).

# Realtime Rate Shipping

Realtime Rate Shipping in Umbraco Commerce.

Realtime rate shipping in Umbraco Commerce allows you to define real-time, up-to-the-minute shipping estimates directly from the shipping operators.

## Configuring Realtime Rate Shipping

To configure Realtime Rate Shipping, follow these steps:

1. Go to **Settings**.
2. Open the **Commerce** folder in the **Commerce** section.
3. Select your store from the **Stores** dropdown.
4. Go to **Shipping Methods**.

![Shipping Methods](https://4119392862-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLSLlTQTRr58JSwooVHuf%2Fuploads%2Fgit-blob-764fc90c6ed41964148bef12e24f2b699ee6680e%2Fshipping_methods.png?alt=media)

5. Click **Create Shipping Method**.
6. Choose the shipping provider for the shipping operator you wish to use.

![Choose Shipping Provider](https://4119392862-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLSLlTQTRr58JSwooVHuf%2Fuploads%2Fgit-blob-5d258b52457da1f431ee4df3363e449a45e2f3a2%2Fcreate_shipping_method.png?alt=media)

7. Choose **Realtime** in the calculation mode option.

![Choose Shipping Calculation Mode](https://4119392862-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLSLlTQTRr58JSwooVHuf%2Fuploads%2Fgit-blob-488059666681e6466c53ca42aad9e0b52a916db3%2Fcreate_shipping_method2.png?alt=media)

8. Enter the **Shipping Method Name**, **Alias**, and **SKU**.
9. Select the tax class from the **Tax Class** dropdown list.
10. *\[Optional]* Upload an image.
11. Enter the shipping provider's API credentials required to connect to the shipping operator's API.

![Shipping Method Details](https://4119392862-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLSLlTQTRr58JSwooVHuf%2Fuploads%2Fgit-blob-2a3be185be513408a42216d22fe94a5129a10557%2Frealtime_shipping_details.png?alt=media)

12. Select the countries this shipping method should be allowed in.

![Shipping Method Allowed Countries](https://4119392862-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLSLlTQTRr58JSwooVHuf%2Fuploads%2Fgit-blob-69a1dd49f9d664ede6bf7eb6562c7c5b4416731c%2Fshipping_method_allowed_countries.png?alt=media)

13. Click **Save**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-commerce/13.latest/reference/shipping/realtime-rate-shipping.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
